import { Column, Entity, OneToMany, PrimaryGeneratedColumn } from 'typeorm';
import { Carrito } from '../../carrito/entity/carrito.entity';
import { Equipo } from '../../equipo/entity/equipo.entity';

@Entity()
export class Modelo {
  @PrimaryGeneratedColumn()
  id_modelo: number;

  @Column({ type: String, nullable: false, length: 30 })
  modelo: string;

  @Column({ type: String, nullable: false, length: 1 })
  tipo: string;

  @OneToMany(() => Carrito, (carrito) => carrito.modelo)
  carritos: Carrito[];

  @OneToMany(() => Equipo, (equipo) => equipo.modelo)
  equipos: Equipo[];
}
